uk.gov.hmrc.zap.config

# ZapConfiguration

###
Related Doc: package config

#### class ZapConfiguration extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZapConfiguration
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ZapConfiguration(userConfig: Config)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def activeScan: Boolean

5. #### def additionalScanners: Set[String]

6. #### def alertUrlsToReport: List[String]

7. #### def alertsToIgnore: List[Config]

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def contextBaseUrlRegex: String

11. #### def debugHealthCheck: Boolean

12. #### def debugTearDown: Boolean

13. #### def defaultScanners: Set[String]

14. #### def desiredTechnologyNames: String

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def failureThreshold: String

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### def ignoreOptimizelyAlerts: Boolean

22. #### def ignoreScanners: Set[String]

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def patienceConfigInterval: Int

28. #### def patienceConfigTimeout: Int

29. #### def routeToBeIgnoredFromContext: String

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def testUrl: String

32. #### def testingAnApi: Boolean

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def zapBaseUrl: String

38. #### lazy val zapConfig: Config

### Inherited from AnyRef

### Inherited from Any

### Ungrouped